%define name	pychart
%define version 1.39
%define release 1mdk

Name: 	 	%{name}
Summary:	Python library for data graphs and charts 	
Version: 	%{version}
Release: 	%{release}

Source:		http://download.gna.org/pychart/PyChart-%{version}.tar.bz2
URL:		http://www.hpl.hp.com/personal/Yasushi_Saito/pychart/
License:	GPL
Group:		Sciences/Mathematics
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
BuildArch:	noarch

%description
PyChart is a Python library for creating high quality Encapsulated Postscript,
PDF, PNG, or SVG charts. It currently supports line plots, bar plots,
range-fill plots, and pie charts. Because it is based on Python, you can make
full use of Python's scripting power.

%prep
%setup -q -n PyChart-%version
chmod 644 `find -type f`

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README demos doc COPYING
%python_sitelib/%name

%changelog
* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 1.39-1mdk
- New release 1.39
- noarch

* Wed Aug 24 2005 Austin Acton <austin@mandriva.org> 1.38-1mdk
- 1.38
- source URL

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.33-3mdk
- Rebuild for new python

* Fri Aug 8 2003 Austin Acton <aacton@yorku.ca> 1.33-2mdk
- python 2.3

* Tue Jun 10 2003 Austin Acton <aacton@yorku.ca> 1.33-1mdk
- initial package
